%define mainver %(echo %{version} | sed -e 's/\\([0-9]*\\.[0-9]*\\)\\.[0-9]*/\\1/')
# we don't want to provide private python extension libs
%define _exclude_files_from_autoprov %{python_sitearch}/.*\\.so\\|%{python3_sitearch}/.*\\.so

%define module  TwistedMail

Name:           python-twisted-mail
Version:        15.2.1
Release:        %mkrel 2
Summary:        An STMP/POP2/IMAP protocol implementation together with clients and servers
License:        MIT
Group:          Development/Python
URL:            http://twistedmatrix.com/trac/wiki/TwistedMail
Source0:        http://twistedmatrix.com/Releases/Mail/%{mainver}/%{module}-%{version}.tar.xz
BuildRequires:  python-devel
BuildRequires:  python-twisted-core
Requires:       python-twisted-core
Requires:       python-twisted-names

%description
Twisted Mail contains high-level, efficient protocol implementations for both
clients and servers of SMTP, POP3, and IMAP4. Additionally, it contains an
"out of the box" combination SMTP/POP3 virtual-hosting mail server. Also
included is a read/write Maildir implementation and a basic Mail Exchange
calculator (depends on Twisted Names).

%prep
%setup -q -n %{module}-%{version}

%build
%{__python} setup.py build

%install
rm -rf %buildroot
%{__python} setup.py install --root=%{buildroot} --skip-build --install-purelib=%{python_sitearch}


%files
%doc LICENSE README NEWS
%{_bindir}/*
%dir %{python_sitearch}/twisted/mail
%{python_sitearch}/twisted/mail/*
%{python_sitearch}/twisted/plugins/*
%{python_sitearch}/Twisted_Mail-%{version}-py%{pyver}.egg-info


%changelog
* Fri Mar 05 2016 bb <bb> 15.2.1-2pclos2016
- rebuild openssl

* Sun Sep 13 2015 bb <bb> 15.2.1-1pclos2015
- update
